%define	name	openoffice.org-mimelnk
%define	release	1mjk.mdv2008.0
%define	version	2.3.0.4


Summary: Extra mime-types for MS Office 2007 format
Name: %{name}
Version: %{version}
Release: %{release}
Group: Graphical desktop/KDE
License: MPL/LGPL/GPL
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: openoffice.org >= 2.3


%description
This package contains extra mime-types for MS Office 2007 formats which are not included in kdelibs-common package.

%prep

%setup

%build

%install

# Commonly used progs, assume they are in path if no
# override these definitions.
CP=cp
LN=ln
MKDIR=mkdir
CHMOD=chmod


$MKDIR -p $RPM_BUILD_ROOT/usr/share/mimelnk
$MKDIR -p $RPM_BUILD_ROOT/usr/share/mimelnk/application
$MKDIR -p $RPM_BUILD_ROOT/usr/share/mimelnk/application
$CP ./usr/share/mimelnk/application/mspowerpoint2007.desktop		$RPM_BUILD_ROOT/usr/share/mimelnk/application/mspowerpoint2007.desktop
$CP ./usr/share/mimelnk/application/msexcel2007.desktop		$RPM_BUILD_ROOT/usr/share/mimelnk/application/msexcel2007.desktop
$CP ./usr/share/mimelnk/application/msword2007.desktop		$RPM_BUILD_ROOT/usr/share/mimelnk/application/msword2007.desktop

%clean
rm -rf $RPM_BUILD_ROOT/

%post

%postun
/usr/bin/update-mime-database /usr/share/mime >/dev/null || true

%files
%defattr(-,root,root)

%dir /usr/share/mimelnk
%dir /usr/share/mimelnk/application
/usr/share/mimelnk/application/mspowerpoint2007.desktop
/usr/share/mimelnk/application/msexcel2007.desktop
/usr/share/mimelnk/application/msword2007.desktop

%changelog
* Sun Oct 14 2007 Jaroslav Krejci <krejci@zstenis.com> 2.3.0.4-1mjk2008.0
- initial release